Subject: Re: ptp

From: Richard Cochran <[email-masked]>
Date: Wed, 7 Sep 2016 23:12:23 +0200

On Wed, Sep 07, 2016 at 01:55:19PM -0700, Daniel Walker wrote:
> So the code only allows second granularity negative updates,

No.

> or the seconds
> component is the only part which needs to actually be negative ?

Yes.

See the function, clockadj_step, in linuxptp/clockadj.c for a working
user space example.

Thanks,
Richard